Kerbal Space Program - Bug #22830

Incorrect Science Amount Reported - Mystery Goo and Science Jr.
06/09/2019 02:45 PM - mcrpntr67

Status: Closed Start date: 06/09/2019
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version: 1.7.2

Version: 1.71 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

While starting a brand new save file. Start with a Mk1 capsule and attach 3 Goo Canisters. Procced to launch pad and collect
Science from all 3 canisters. In all previous version of game, this would be enough to give you 100% for the biome. Screenshot
below shows that it appears that all science is captured for Mystery Goo. Upon recovering vessel and returning, you can see in the
science report that you only recovered 3, .2 & .1 science instead of the full 3.9 (3, .6 & .3) science you should have recovered. The
archive in the R&D lab verifies. (2nd picture).

Upon returning to the launchpad with the same vehicle afterwards, you will see that you are only at 3.3 out of 3.9 (3rd picture) and no
matter how hard you try, you will never get that remaining .6 science. The same symptoms also haunt the Science Jr. This has
been experienced in all biomes with the Mystery Goo and Science Jr.

History

#1 - 06/09/2019 04:22 PM - Geschosskopf
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Yes, the OP is correct. | see the same thing in my games.

#2 - 06/09/2019 04:38 PM - Geschosskopf
NOTE: This was previously reported in #22742

#3 - 06/12/2019 07:46 PM - chris.fulton
- Status changed from Confirmed to Ready to Test
- Target version setto 1.7.2

- % Done changed from 10 to 80

Several Changes and bug fixes have been made, moving this bug to RTT and can you check it in 1.7.2.2555?

#4 - 06/12/2019 09:24 PM - mcrpntr67
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

Tested with Mystery Goo with the same setup as the original report. The Science report came back as 3, .7 & .2 The Archive now report 3.85
science recovered from the runway and when | return, the amount of science still to gather is 0. Changing Status to resolved. The other report
#22742 was for all repeatable science experiments and I'll let the others get tested in there.

#5 - 06/12/2019 10:22 PM - chris.fulton

- Status changed from Resolved to Closed
